# Reinforcement Learning for Proposing Smoking Cessation Activities that Build Competencies: Combining Two Worldviews in a Virtual Coach

**Author**: Nele Albers

**Date**: December 2024


This README-file is meant to give you an overview of the data and analysis code underlying the chapter "Reinforcement Learning for Proposing Smoking Cessation Activities that Build Competencies: Combining Two Worldviews in a Virtual Coach" of the PhD thesis by Nele Albers. A colleague checked our analysis code and data (see "ChecklistDataRepositoryReview_Anonymous.docx").


Authored by Nele Albers, Mark A. Neerincx, and Willem-Paul Brinkman.


### Types of analyses

Below we describe how you can reproduce/inspect our results for the different types of analyses that we have conducted.


#### Step 2: Obtaining the views of health experts and smokers

Navigate to the folder "Step_2_Obtaining_Views" and follow the instructions in the README-file therein to reproduce our analyses for the second pipeline step.


#### Step 4: Designing the model

Navigate to the folder "Step_4_Designing_The_Model" and follow the instructions in the README-file therein to reproduce our computation of the contributions of the 44 preparatory activities to the 6 expert-identified competencies.


#### Step 5: Training the model & results

Navigate to the folder "Step_5_Training_The_Model_Results" and follow the instructions in the README-fle therein to reproduce our results related to training the model and evaluating it.


### Explanation of files and folders

This directory contains the following files and folders:
   - Step_2_Obtaining_Views: To reproduce our analyses for the second pipeline step.
   - Step_4_Designing_The_Model: To reproduce our computation of the contributions of the 44 preparatory activities to the 6 expert-identified competencies.
   - Step_5_Training_The_Model_Results: To reproduce our results related to training and evaluating the model (i.e., step 5 from the pipeline and our results).
   - ChecklistDataRepositoryReview_Anonymous.docx: Checklist filled in by a colleague checking our analysis code and data.
   - README.md/README.pdf: This README-file.
