# Step 4: Designing the model

**Author**: Nele Albers

**Date**: May 2024


This folder is meant to reproduce our activity contributions to expert competencies computed as part of the 4th step in our pipeline.

This includes reproducing:
  - The contributions of the 44 preparatory activities to the 6 expert-identified competencies from Table S7 in the Appendix.


Authored by Nele Albers, Mark A. Neerincx, and Willem-Paul Brinkman.


### Examine Results as Computed by Us

You can inspect the following results as computed/created by us:
   - The contributions of the 44 preparatory activities to the 6 expert-identified competencies: "activity_contribution_expert_competencies_raw.csv."


### Reproduce Analyses Yourself

You can also reproduce the way we obtained our activity contributions by running the file "activity_contribution_expert_competencies.py." This requires the python packages `numpy` and `pandas`.

To recreate the files that this computation is built on (i.e., the two files in the "Data"-folder), navigate to the folder "Step_2_Obtaining_Views" and follow the instructions for reproducing our analysis for our repertory grid study with experts from the README-file therein.


### Files and Folders

This folder contains the following folders and files:

   - Data:
      - comp_3factors_df_loadings_experts.csv: weights for the factors describing the expert competencies from the repertory grid study with experts.
	  - comp_3factors_df_ratings_experts.csv: ratings for the activities by the experts from the repertory grid study with experts.
   - activity_contribution_expert_competencies.py: code to reproduce our computation of the contributions of the 44 preparatory activities to the 6 expert competencies.
   - activity_contribution_expert_competencies_raw.csv: computed contributions of the 44 preparatory activities to the 6 expert competencies.
   - README.md/README.pdf: this README-file.
