# AQ2: Changing Usefulness Beliefs


**Author**: Nele Albers

**Date**: December 2024


This file is meant to allow you to reproduce our analysis for our second analysis question on changing usefulness beliefs. This includes reproducing:

   - The results from the paired Bayesian t-tests from Table 5.2 in the chapter.
   - The Cohen's d values from the chapter.


### Examine Results as Computed by Us

To examine the output of the analyses obtained by us, refer to the file "analysis_persuasive_activities.pdf."


### Reproduce Analyses Yourself

This section is to explain how you can run the analyses yourself.


#### Requirements

You need to have Docker installed.


#### Steps to Reproduce Analyses

The reproduction of our analyses is based on Docker and R Studio. Take the following steps:
1. Make sure you have Docker installed. You can check if you do by running `docker -v`.
2. Navigate to the folder this README-file is in.
3. Now you have 2 options:
      - Build the Docker image via `docker build . -t gbna4/usefulness2024_bayesian_first_aid`, or
      - Pull the Docker image from Dockerhub via `docker pull gbna4/usefulness2024_bayesian_first_aid`.
4. Run the Docker container via `docker run -d -p 8787:8787 -v <path_to_this_directory>:/home/rstudio/analysis -e PASSWORD=<some_password> gbna4/usefulness2024_bayesian_first_aid`.
5. Go to localhost:8787.
6. Login with username 'rstudio' and the password chosen in step 4.
7. Navigate to the "analysis"-folder in R Studio.
9. Now you can reproduce the analysis results using the file "analysis_persuasive_activities.Rmd."


#### Knitting R Markdown

If you just want to knit an analysis file to a pdf-file, take the following steps:
1. Make sure you have Docker installed.
2. Navigate to the folder this README-file is in.
3. Now you have 2 options:
      - Build the Docker image via `docker build . -t gbna4/usefulness2024_bayesian_first_aid`. 
      - Pull the Docker image from Dockerhub via `docker pull gbna4/usefulness2024_bayesian_first_aid`.
4. Run an interactive session with the Docker container via `docker run -it -v <path_to_directory_of_this_README_file>:/home/rstudio/analysis gbna4/usefulness2024_bayesian_first_aid /bin/bash`.
5. In the interactive session, type `cd /home/rstudio/analysis` to navigate to the analysis-folder.
6. Start an R session via `R`.
7. Import rmarkdown via `library('rmarkdown')`.
8. Knit an R markdown file via `render("<analysis_file>.Rmd", output_file = "<desired_output_file_name>.pdf")`.


### Explanation of Folders and Files

This directory contains the following files and folders:
   - Data:
      - data_rl_samples_binary.csv: preprocessed RL-samples gathered in our crowdsourcing study.
   - analysis_persuasive_activities.pdf: file that shows the results we obtained for the paired Bayesian t-tests and Cohen's d computations.
   - analysis_persuasive_activities.Rmd: file to allow you to reproduce the results from the file above.
   - Dockerfile: file to allow you to build the Docker image yourself.
   - JAGS-4.3.0.tar.gz: needed for building the Docker image yourself.
   - README.md/README.pdf: this README-file.
